Public Attributes | List of all members
qspi_env_t Struct Reference
Peripheral Driver » APP DRIVER » QSPI » Structures

QSPI device structure definition. More...

`#include <app_qspi.h>`

Collaboration diagram for qspi_env_t:
[legend]

## Public Attributes
qspi_handle_t | handle
| QSPI handle Structure. More...
app_qspi_pin_cfg_t * | p_pin_cfg
| QSPI configuration Structures. More...
dma_id_t | dma_id
| DMA id. More...
app_qspi_state_t | qspi_state
| App qspi state types. More...
app_qspi_dma_state_t | qspi_dma_state
| App qspi dma_state types. More...
volatile bool | start_flag
| start flag. More...
app_qspi_evt_handler_t | evt_handler
| QSPI event callback . More...
volatile bool | is_rx_done
| rx done. More...
volatile bool | is_tx_done
| tx done. More...
volatile bool | is_xfer_err
| xfer err. More...

## Detailed Description

QSPI device structure definition.

Definition at line 498 of file app_qspi.h.

## Member Data Documentation

## ◆ dma_id

dma_id_t qspi_env_t::dma_id

DMA id.

Definition at line 504 of file app_qspi.h.

## ◆ evt_handler

app_qspi_evt_handler_t qspi_env_t::evt_handler

QSPI event callback .

Definition at line 508 of file app_qspi.h.

## ◆ handle

qspi_handle_t qspi_env_t::handle

QSPI handle Structure.

Definition at line 499 of file app_qspi.h.

## ◆ is_rx_done

volatile bool qspi_env_t::is_rx_done

rx done.

Definition at line 520 of file app_qspi.h.

## ◆ is_tx_done

volatile bool qspi_env_t::is_tx_done

tx done.

Definition at line 521 of file app_qspi.h.

## ◆ is_xfer_err

volatile bool qspi_env_t::is_xfer_err

xfer err.

Definition at line 522 of file app_qspi.h.

## ◆ p_pin_cfg

app_qspi_pin_cfg_t* qspi_env_t::p_pin_cfg

QSPI configuration Structures.

Definition at line 503 of file app_qspi.h.

## ◆ qspi_dma_state

app_qspi_dma_state_t qspi_env_t::qspi_dma_state

App qspi dma_state types.

Definition at line 506 of file app_qspi.h.

## ◆ qspi_state

app_qspi_state_t qspi_env_t::qspi_state

App qspi state types.

Definition at line 505 of file app_qspi.h.

## ◆ start_flag

volatile bool qspi_env_t::start_flag

start flag.

Definition at line 507 of file app_qspi.h.

The documentation for this struct was generated from the following file:

- app_qspi.h